.TH FREEIPMI 5 "2012-06-28" "FreeIPMI 1.1.6" "Configuration"
.SH "NAME"
freeipmi.conf \- specify default values to FreeIPMI
.SH "DESCRIPTION"
The
.B FreeIPMI
configuration file can be used to set alternate default values to
many
.B FreeIPMI
tools so values don't have to be configured on the command line.  This
allows users to avoid typing in a long list of command line options
everytime a command is executed. It can also be used to hide
usernames, passwords, and other sensitive information from the
.B ps(1)
command.
.LP
Currently, the tools that can be configured with the configuration file are:
.B bmc-config(8),
.B bmc-device(8),
.B bmc-info(8),
.B bmc-watchdog(8),
.B ipmi-chassis(8),
.B ipmi-chassis-config(8),
.B ipmi-fru(8),
.B ipmi-oem(8),
.B ipmi-pef-config(8),
.B ipmi-pet(8),
.B ipmi-raw(8),
.B ipmi-sel(8),
.B ipmi-sensors(8),
.B ipmi-sensors-config(8),
.B ipmiconsole(8),
and
.B ipmipower(8).
.LP
By default, the configuration file is stored at
/usr/local/etc/freeipmi//freeipmi.conf.  But users may select a different
configuration file at the command line with the --config-file option.
.LP
Values specified on the command line override the configuration
values specified in the configuration file.
.SH "FORMAT"
The configuration options that can be specified in the configuration
file are listed below. Each configuration option must be listed on a
separate line. Arguments for an option are separated by any amount of
whitespace. Multiple arguments are also separated by whitespace.
Comments can be marked by using the pound sign ("#") character, and
lines can be continued on the next using backslash ("\\").
.LP
Note that it is possible to list the username, password and other
potentially sensitive information in the configuration file. If this
data is stored in a configuration file, system administrators should
limit access to this file.

.SH "GENERAL OPTIONS"
The following options are options generally available to all tools,
although specific options may be ignored by some. (For example,
.B ipmiconsole(8)
and
.B ipmipower(8)
do not perform in-band communication, therefore they would ignore
in-band communication options. Similarly
.B bmc-watchdog(8)
does not perform out-of-band communication, therefore it would ignore
all out-of-band options).
.TP
\fBdriver\-type\fR \fIIPMIDRIVER\fR
Specify the default driver type to use.
.TP
\fBdisable\-auto\-probe\fR \fIENABLE|DISABLE\fR
Specify if IPMI devices should be probed for default settings.
.TP
\fBdriver\-address\fR \fIDRIVER-ADDRESS\fR
Specify the default in-band driver address to use.
.TP
\fBdriver\-device\fR \fIDEVICE\fR
Specify the default in-band driver device path to use.
.TP
\fBregister\-spacing\fR \fIREGISTER\-SPACING\fR
Specify the default in-band driver register spacing to use.
.TP
\fBusername\fR \fIUSERNAME\fR
Specify the default username to use.
.TP
\fBpassword\fR \fIPASSWORD\fR
Specify the default password to use.
.TP
\fBk_g\fR \fIstr\fR
Specify the default BMC key (K_g) to use. Prefix with '0x' to enter
the key in hex.
.TP
\fBsession\-timeout\fR \fIMILLISECONDS\fR
Specify the default session timeout length to use in milliseconds.
.TP
\fBretransmission\-timeout\fR \fIMILLISECONDS\fR
Specify the default retransmission timeout length to use in
milliseconds.
.TP
\fBauthentication\-type\fR \fIAUTHENTICATION\-TYPE\fR
Specify the default authentication type to use. The following
authentication types are supported: NONE, STRAIGHT_PASSWORD_KEY, MD2,
and MD5.
.TP
\fBcipher\-suite\-id\fR \fICIPHER\-SUITE\-ID\fR
Specify the default cipher suite id to use. The following cipher suite
ids are supported: 0, 1, 2, 3, 6, 7, 8, 11, 12.
.TP
\fBprivilege\-level\fR \fIPRIVILEGE\-LEVEL\fR
Specify the default privilege type to use. The following privilege
levels are supported: USER, OPERATOR, ADMIN.
.TP
\fBworkaround\-flags\fR \fIWORKAROUNDS\fR
Specify default workaround flags to use. Multiple workarounds can be
specified separated by whitespace. Please see tool manpages for
details about available workarounds for each tool. The following
workarounds are supported: assumeio, spinpoll, idzero, forcepermsg,
unexpectedauth, endianseq, authcap, intel20, supermicro20, sun20,
opensesspriv, integritycheckvalue, solpayloadsize, solport, solstatus,
skipchecks, assumesystemevent, discretereading,
ignorescanningdisabled, assumebmcowner, ignoreauthcode, slowcommit,
veryslowcommit, solchannelassumelanchannel, ignorestateflag,
malformedack.

.SH "SDR OPTIONS"
The following options are specific to tools that use the sensor
data repository (SDR). They will be ignored by all other tools.
.TP
\fBquiet\-cache\fR \fIENABLE|DISABLE\fR
Specify if cache creation/deletion information should not be output by default.
.TP
\fBsdr\-cache\-directory\fR \fIDIRECTORY\fR
Specify the default sdr cache directory to use.

.SH "HOSTRANGED OPTIONS"
The following options are specific to tools that support hostranged
output. They will be ignored by all other tools.
.TP
\fBbuffer\-output\fR \fIENABLE|DISABLE\fR
Specify if hostranged output should be buffered by default.
.TP
\fBconsolidate\-output\fR \fIENABLE|DISABLE\fR
Specify if hostranged output should be consolidated by default.
.TP
\fBfanout\fR \fICOUNT\fR
Specify the default multiple host fanout to use.
.TP
\fBeliminate\fR \fIENABLE|DISABLE\fR
Specify if undetected hosts should be eliminated by default.
.TP
\fBalways\-prefix\fR \fIENABLE|DISABLE\fR
Specify if output should be always prefixed by default.

.SH "BMC-CONFIG OPTIONS"
The following options are specific to
.B bmc-config(8).
They will be ignored by other tools.
.TP
\fBbmc\-config\-username\fR \fIUSERNAME\fR
Specify the default username to use for
.B bmc-config(8).
If specified, will override the general option
\fBusername\fR
above.
.TP
\fBbmc\-config\-password\fR \fIPASSWORD\fR
Specify the default password to use for
.B bmc-config(8).
If specified, will override the general option
\fBpassword\fR
above.
.TP
\fBbmc\-config\-k_g\fR \fIstr\fR
Specify the default BMC key (K_g) to use for
.B bmc-config(8).
If specified, will override the general option
\fBk_g\fR
above. Prefix with '0x' to enter the key in hex.
.TP
\fBbmc\-config\-authentication\-type\fR \fIAUTHENTICATION\-TYPE\fR
Specify the default authentication type to use for
.B bmc-config(8).
If specified, will override the general option
\fBauthentication-type\fR
above. The following authentication types are supported: NONE,
STRAIGHT_PASSWORD_KEY, MD2, and MD5.
.TP
\fBbmc\-config\-cipher\-suite\-id\fR \fICIPHER\-SUITE\-ID\fR
Specify the default cipher suite id to use for
.B bmc-config(8).
If specified, will override the general option
\fBcipher-suite-id\fR
above. The following cipher suite ids are supported: 0, 1, 2, 3, 6,
7, 8, 11, 12.
.TP
\fBbmc\-config\-privilege\-level\fR \fIPRIVILEGE\-LEVEL\fR
Specify the default privilege type to use for
.B bmc-config(8).
If specified, will override the general option
\fBprivilege-level\fR
above. The following privilege levels are supported: USER, OPERATOR,
ADMIN.
.TP
\fBbmc\-config\-workaround\-flags\fR \fIWORKAROUNDS\fR
Specify default workaround flags to use for
.B bmc-config(8).
If specified, will override the general options
\fBworkaround\-flags\fR
above. Multiple workarounds can be specified separated by whitespace.
Please see
.B bmc-config(8)
manpage for available workarounds.
.TP
\fBbmc\-config\-verbose\-count\fR \fICOUNT\fR
Specify default verbose count to use for
.B bmc-config(8).

.SH "BMC-DEVICE OPTIONS"
The following options are specific to
.B bmc-device(8).
They will be ignored by other tools.
.TP
\fBbmc\-device\-username\fR \fIUSERNAME\fR
Specify the default username to use for
.B bmc-device(8).
If specified, will override the general option
\fBusername\fR
above.
.TP
\fBbmc\-device\-password\fR \fIPASSWORD\fR
Specify the default password to use for
.B bmc-device(8).
If specified, will override the general option
\fBpassword\fR
above.
.TP
\fBbmc\-device\-k_g\fR \fIstr\fR
Specify the default BMC key (K_g) to use for
.B bmc-device(8).
If specified, will override the general option
\fBk_g\fR
above. Prefix with '0x' to enter the key in hex.
.TP
\fBbmc\-device\-authentication\-type\fR \fIAUTHENTICATION\-TYPE\fR
Specify the default authentication type to use for
.B bmc-device(8).
If specified, will override the general option
\fBauthentication-type\fR
above. The following authentication types are supported: NONE,
STRAIGHT_PASSWORD_KEY, MD2, and MD5.
.TP
\fBbmc\-device\-cipher\-suite\-id\fR \fICIPHER\-SUITE\-ID\fR
Specify the default cipher suite id to use for
.B bmc-device(8).
If specified, will override the general option
\fBcipher-suite-id\fR
above. The following cipher suite ids are supported: 0, 1, 2, 3, 6,
7, 8, 11, 12.
.TP
\fBbmc\-device\-privilege\-level\fR \fIPRIVILEGE\-LEVEL\fR
Specify the default privilege type to use for
.B bmc-device(8).
If specified, will override the general option
\fBprivilege-level\fR
above. The following privilege levels are supported: USER, OPERATOR,
ADMIN.
.TP
\fBbmc\-device\-workaround\-flags\fR \fIWORKAROUNDS\fR
Specify default workaround flags to use for
.B bmc-device(8).
If specified, will override the general options
\fBworkaround\-flags\fR
above. Multiple workarounds can be specified separated by whitespace.
Please see
.B bmc-device(8)
manpage for available workarounds.

.SH "BMC-INFO OPTIONS"
The following options are specific to
.B bmc-info(8).
They will be ignored by other tools.
.TP
\fBbmc\-info\-username\fR \fIUSERNAME\fR
Specify the default username to use for
.B bmc-info(8).
If specified, will override the general option
\fBusername\fR
above.
.TP
\fBbmc\-info\-password\fR \fIPASSWORD\fR
Specify the default password to use for
.B bmc-info(8).
If specified, will override the general option
\fBpassword\fR
above.
.TP
\fBbmc\-info\-k_g\fR \fIstr\fR
Specify the default BMC key (K_g) to use for
.B bmc-info(8).
If specified, will override the general option
\fBk_g\fR
above. Prefix with '0x' to enter the key in hex.
.TP
\fBbmc\-info\-authentication\-type\fR \fIAUTHENTICATION\-TYPE\fR
Specify the default authentication type to use for
.B bmc-info(8).
If specified, will override the general option
\fBauthentication-type\fR
above. The following authentication types are supported: NONE,
STRAIGHT_PASSWORD_KEY, MD2, and MD5.
.TP
\fBbmc\-info\-cipher\-suite\-id\fR \fICIPHER\-SUITE\-ID\fR
Specify the default cipher suite id to use for
.B bmc-info(8).
If specified, will override the general option
\fBcipher-suite-id\fR
above. The following cipher suite ids are supported: 0, 1, 2, 3, 6,
7, 8, 11, 12.
.TP
\fBbmc\-info\-privilege\-level\fR \fIPRIVILEGE\-LEVEL\fR
Specify the default privilege type to use for
.B bmc-info(8).
If specified, will override the general option
\fBprivilege-level\fR
above. The following privilege levels are supported: USER, OPERATOR,
ADMIN.
.TP
\fBbmc\-info\-workaround\-flags\fR \fIWORKAROUNDS\fR
Specify default workaround flags to use for
.B bmc-info(8).
If specified, will override the general options
\fBworkaround\-flags\fR
above. Multiple workarounds can be specified separated by whitespace.
Please see
.B bmc-info(8)
manpage for available workarounds.
.TP
\fBbmc\-info\-interpret\-oem\-data\fR \fIENABLE|DISABLE\fR
Specify if
.B bmc-info
should attempt to interpret OEM data by default or not.

.SH "BMC-WATCHDOG OPTIONS"
The following options are specific to
.B bmc-watchdog(8).
They will be ignored by other tools.
.TP
\fBbmc\-watchdog\-workaround\-flags\fR \fIWORKAROUNDS\fR
Specify default workaround flags to use for
.B bmc-watchdog(8).
If specified, will override the general options
\fBworkaround\-flags\fR
above. Multiple workarounds can be specified separated by whitespace.
Please see
.B bmc-watchdog(8)
manpage for available workarounds.
.TP
\fBbmc\-watchdog\-logfile\fR \fIFILE\fR
Specify the default logfile.
.TP
\fBbmc\-watchdog\-no\-logging\fR \fIENABLE|DISABLE\fR
Specify if logging will be disabled by default.

.SH "IPMI-CHASSIS OPTIONS"
The following options are specific to
.B ipmi-chassis(8).
They will be ignored by other tools.
.TP
\fBipmi\-chassis\-username\fR \fIUSERNAME\fR
Specify the default username to use for
.B ipmi-chassis(8).
If specified, will override the general option
\fBusername\fR
above.
.TP
\fBipmi\-chassis\-password\fR \fIPASSWORD\fR
Specify the default password to use for
.B ipmi-chassis(8).
If specified, will override the general option
\fBpassword\fR
above.
.TP
\fBipmi\-chassis\-k_g\fR \fIstr\fR
Specify the default BMC key (K_g) to use for
.B ipmi-chassis(8).
If specified, will override the general option
\fBk_g\fR
above. Prefix with '0x' to enter the key in hex.
.TP
\fBipmi\-chassis\-authentication\-type\fR \fIAUTHENTICATION\-TYPE\fR
Specify the default authentication type to use for
.B ipmi-chassis(8).
If specified, will override the general option
\fBauthentication-type\fR
above. The following authentication types are supported: NONE,
STRAIGHT_PASSWORD_KEY, MD2, and MD5.
.TP
\fBipmi\-chassis\-cipher\-suite\-id\fR \fICIPHER\-SUITE\-ID\fR
Specify the default cipher suite id to use for
.B ipmi-chassis(8).
If specified, will override the general option
\fBcipher-suite-id\fR
above. The following cipher suite ids are supported: 0, 1, 2, 3, 6,
7, 8, 11, 12.
.TP
\fBipmi\-chassis\-privilege\-level\fR \fIPRIVILEGE\-LEVEL\fR
Specify the default privilege type to use for
.B ipmi-chassis(8).
If specified, will override the general option
\fBprivilege-level\fR
above. The following privilege levels are supported: USER, OPERATOR,
ADMIN.
.TP
\fBipmi\-chassis\-workaround\-flags\fR \fIWORKAROUNDS\fR
Specify default workaround flags to use for
.B ipmi-chassis(8).
If specified, will override the general options
\fBworkaround\-flags\fR
above. Multiple workarounds can be specified separated by whitespace.
Please see
.B ipmi-chassis(8)
manpage for available workarounds.

.SH "IPMI-CHASSIS-CONFIG OPTIONS"
The following options are specific to
.B ipmi-chassis-config(8).
They will be ignored by other tools.
.TP
\fBipmi\-chassis-config\-username\fR \fIUSERNAME\fR
Specify the default username to use for
.B ipmi-chassis-config(8).
If specified, will override the general option
\fBusername\fR
above.
.TP
\fBipmi\-chassis-config\-password\fR \fIPASSWORD\fR
Specify the default password to use for
.B ipmi-chassis-config(8).
If specified, will override the general option
\fBpassword\fR
above.
.TP
\fBipmi\-chassis-config\-k_g\fR \fIstr\fR
Specify the default BMC key (K_g) to use for
.B ipmi-chassis-config(8).
If specified, will override the general option
\fBk_g\fR
above. Prefix with '0x' to enter the key in hex.
.TP
\fBipmi\-chassis-config\-authentication\-type\fR \fIAUTHENTICATION\-TYPE\fR
Specify the default authentication type to use for
.B ipmi-chassis-config(8).
If specified, will override the general option
\fBauthentication-type\fR
above. The following authentication types are supported: NONE,
STRAIGHT_PASSWORD_KEY, MD2, and MD5.
.TP
\fBipmi\-chassis-config\-cipher\-suite\-id\fR \fICIPHER\-SUITE\-ID\fR
Specify the default cipher suite id to use for
.B ipmi-chassis-config(8).
If specified, will override the general option
\fBcipher-suite-id\fR
above. The following cipher suite ids are supported: 0, 1, 2, 3, 6,
7, 8, 11, 12.
.TP
\fBipmi\-chassis-config\-privilege\-level\fR \fIPRIVILEGE\-LEVEL\fR
Specify the default privilege type to use for
.B ipmi-chassis-config(8).
If specified, will override the general option
\fBprivilege-level\fR
above. The following privilege levels are supported: USER, OPERATOR,
ADMIN.
.TP
\fBipmi\-chassis-config\-workaround\-flags\fR \fIWORKAROUNDS\fR
Specify default workaround flags to use for
.B ipmi-chassis-config(8).
If specified, will override the general options
\fBworkaround\-flags\fR
above. Multiple workarounds can be specified separated by whitespace.
Please see
.B ipmi-chassis-config(8)
manpage for available workarounds.
.TP
\fBipmi\-chassis-config\-verbose\-count\fR \fICOUNT\fR
Specify default verbose count to use for
.B ipmi-chassis-config(8).

.SH "IPMI-DCMI OPTIONS"
The following options are specific to
.B ipmi-dcmi(8).
They will be ignored by other tools.
.TP
\fBipmi\-dcmi\-username\fR \fIUSERNAME\fR
Specify the default username to use for
.B ipmi-dcmi(8).
If specified, will override the general option
\fBusername\fR
above.
.TP
\fBipmi\-dcmi\-password\fR \fIPASSWORD\fR
Specify the default password to use for
.B ipmi-dcmi(8).
If specified, will override the general option
\fBpassword\fR
above.
.TP
\fBipmi\-dcmi\-k_g\fR \fIstr\fR
Specify the default BMC key (K_g) to use for
.B ipmi-dcmi(8).
If specified, will override the general option
\fBk_g\fR
above. Prefix with '0x' to enter the key in hex.
.TP
\fBipmi\-dcmi\-authentication\-type\fR \fIAUTHENTICATION\-TYPE\fR
Specify the default authentication type to use for
.B ipmi-dcmi(8).
If specified, will override the general option
\fBauthentication-type\fR
above. The following authentication types are supported: NONE,
STRAIGHT_PASSWORD_KEY, MD2, and MD5.
.TP
\fBipmi\-dcmi\-cipher\-suite\-id\fR \fICIPHER\-SUITE\-ID\fR
Specify the default cipher suite id to use for
.B ipmi-dcmi(8).
If specified, will override the general option
\fBcipher-suite-id\fR
above. The following cipher suite ids are supported: 0, 1, 2, 3, 6,
7, 8, 11, 12.
.TP
\fBipmi\-dcmi\-privilege\-level\fR \fIPRIVILEGE\-LEVEL\fR
Specify the default privilege type to use for
.B ipmi-dcmi(8).
If specified, will override the general option
\fBprivilege-level\fR
above. The following privilege levels are supported: USER, OPERATOR,
ADMIN.
.TP
\fBipmi\-dcmi\-workaround\-flags\fR \fIWORKAROUNDS\fR
Specify default workaround flags to use for
.B ipmi-dcmi(8).
If specified, will override the general options
\fBworkaround\-flags\fR
above. Multiple workarounds can be specified separated by whitespace.
Please see
.B ipmi-dcmi(8)
manpage for available workarounds.
.TP
\fBipmi\-dcmi\-interpret\-oem\-data\fR \fIENABLE|DISABLE\fR
Specify if
.B ipmi-dcmi
should attempt to interpret OEM data by default or not.

.SH "IPMI-FRU OPTIONS"
The following options are specific to
.B ipmi-fru(8).
They will be ignored by other tools.
.TP
\fBipmi\-fru\-username\fR \fIUSERNAME\fR
Specify the default username to use for
.B ipmi-fru(8).
If specified, will override the general option
\fBusername\fR
above.
.TP
\fBipmi\-fru\-password\fR \fIPASSWORD\fR
Specify the default password to use for
.B ipmi-fru(8).
If specified, will override the general option
\fBpassword\fR
above.
.TP
\fBipmi\-fru\-k_g\fR \fIstr\fR
Specify the default BMC key (K_g) to use for
.B ipmi-fru(8).
If specified, will override the general option
\fBk_g\fR
above. Prefix with '0x' to enter the key in hex.
.TP
\fBipmi\-fru\-authentication\-type\fR \fIAUTHENTICATION\-TYPE\fR
Specify the default authentication type to use for
.B ipmi-fru(8).
If specified, will override the general option
\fBauthentication-type\fR
above. The following authentication types are supported: NONE,
STRAIGHT_PASSWORD_KEY, MD2, and MD5.
.TP
\fBipmi\-fru\-cipher\-suite\-id\fR \fICIPHER\-SUITE\-ID\fR
Specify the default cipher suite id to use for
.B ipmi-fru(8).
If specified, will override the general option
\fBcipher-suite-id\fR
above. The following cipher suite ids are supported: 0, 1, 2, 3, 6,
7, 8, 11, 12.
.TP
\fBipmi\-fru\-privilege\-level\fR \fIPRIVILEGE\-LEVEL\fR
Specify the default privilege type to use for
.B ipmi-fru(8).
If specified, will override the general option
\fBprivilege-level\fR
above. The following privilege levels are supported: USER, OPERATOR,
ADMIN.
.TP
\fBipmi\-fru\-workaround\-flags\fR \fIWORKAROUNDS\fR
Specify default workaround flags to use for
.B ipmi-fru(8).
If specified, will override the general options
\fBworkaround\-flags\fR
above. Multiple workarounds can be specified separated by whitespace.
Please see
.B ipmi-fru(8)
manpage for available workarounds.
.TP
\fBipmi\-fru\-verbose\-count\fR \fICOUNT\fR
Specify default verbose count to use for
.B ipmi-fru(8).
.TP
\fBipmi\-fru\-skip\-checks\fR \fIENABLE|DISABLE\fR
Specify if checksum checks will be skipped by default.
.TP
\fBipmi\-fru\-interpret\-oem\-data\fR \fIENABLE|DISABLE\fR
Specify if
.B ipmi-fru
should attempt to interpret OEM data by default or not.

.SH "IPMI-OEM OPTIONS"
The following options are specific to
.B ipmi-oem(8).
They will be ignored by other tools.
.TP
\fBipmi\-oem\-username\fR \fIUSERNAME\fR
Specify the default username to use for
.B ipmi-oem(8).
If specified, will override the general option
\fBusername\fR
above.
.TP
\fBipmi\-oem\-password\fR \fIPASSWORD\fR
Specify the default password to use for
.B ipmi-oem(8).
If specified, will override the general option
\fBpassword\fR
above.
.TP
\fBipmi\-oem\-k_g\fR \fIstr\fR
Specify the default BMC key (K_g) to use for
.B ipmi-oem(8).
If specified, will override the general option
\fBk_g\fR
above. Prefix with '0x' to enter the key in hex.
.TP
\fBipmi\-oem\-authentication\-type\fR \fIAUTHENTICATION\-TYPE\fR
Specify the default authentication type to use for
.B ipmi-oem(8).
If specified, will override the general option
\fBauthentication-type\fR
above. The following authentication types are supported: NONE,
STRAIGHT_PASSWORD_KEY, MD2, and MD5.
.TP
\fBipmi\-oem\-cipher\-suite\-id\fR \fICIPHER\-SUITE\-ID\fR
Specify the default cipher suite id to use for
.B ipmi-oem(8).
If specified, will override the general option
\fBcipher-suite-id\fR
above. The following cipher suite ids are supported: 0, 1, 2, 3, 6,
7, 8, 11, 12.
.TP
\fBipmi\-oem\-privilege\-level\fR \fIPRIVILEGE\-LEVEL\fR
Specify the default privilege type to use for
.B ipmi-oem(8).
If specified, will override the general option
\fBprivilege-level\fR
above. The following privilege levels are supported: USER, OPERATOR,
ADMIN.
.TP
\fBipmi\-oem\-workaround\-flags\fR \fIWORKAROUNDS\fR
Specify default workaround flags to use for
.B ipmi-oem(8).
If specified, will override the general options
\fBworkaround\-flags\fR
above. Multiple workarounds can be specified separated by whitespace.
Please see
.B ipmi-oem(8)
manpage for available workarounds.
.TP
\fBipmi\-oem\-verbose\-count\fR \fICOUNT\fR
Specify default verbose count to use for
.B ipmi-oem(8).

.SH "IPMI-PEF-CONFIG OPTIONS"
The following options are specific to
.B ipmi-pef-config(8).
They will be ignored by other tools.
.TP
\fBipmi\-pef\-config\-username\fR \fIUSERNAME\fR
Specify the default username to use for
.B ipmi-pef-config(8).
If specified, will override the general option
\fBusername\fR
above.
.TP
\fBipmi\-pef\-config\-password\fR \fIPASSWORD\fR
Specify the default password to use for
.B ipmi-pef-config(8).
If specified, will override the general option
\fBpassword\fR
above.
.TP
\fBipmi\-pef\-config\-k_g\fR \fIstr\fR
Specify the default BMC key (K_g) to use for
.B ipmi-pef-config(8).
If specified, will override the general option
\fBk_g\fR
above. Prefix with '0x' to enter the key in hex.
.TP
\fBipmi\-pef\-config\-authentication\-type\fR \fIAUTHENTICATION\-TYPE\fR
Specify the default authentication type to use for
.B ipmi-pef-config(8).
If specified, will override the general option
\fBauthentication-type\fR
above. The following authentication types are supported: NONE,
STRAIGHT_PASSWORD_KEY, MD2, and MD5.
.TP
\fBipmi\-pef\-config\-cipher\-suite\-id\fR \fICIPHER\-SUITE\-ID\fR
Specify the default cipher suite id to use for
.B ipmi-pef-config(8).
If specified, will override the general option
\fBcipher-suite-id\fR
above. The following cipher suite ids are supported: 0, 1, 2, 3, 6,
7, 8, 11, 12.
.TP
\fBipmi\-pef\-config\-privilege\-level\fR \fIPRIVILEGE\-LEVEL\fR
Specify the default privilege type to use for
.B ipmi-pef-config(8).
If specified, will override the general option
\fBprivilege-level\fR
above. The following privilege levels are supported: USER, OPERATOR,
ADMIN.
.TP
\fBipmi\-pef\-config\-workaround\-flags\fR \fIWORKAROUNDS\fR
Specify default workaround flags to use for
.B ipmi-pef-config(8).
If specified, will override the general options
\fBworkaround\-flags\fR
above. Multiple workarounds can be specified separated by whitespace.
Please see
.B ipmi-pef-config(8)
manpage for available workarounds.
.TP
\fBipmi\-pef\-config\-verbose\-count\fR \fICOUNT\fR
Specify default verbose count to use for
.B ipmi-pef-config(8).

.SH "IPMI-PET OPTIONS"
The following options are specific to
.B ipmi-pet(8).
They will be ignored by other tools.
.TP
\fBipmi\-pet\-username\fR \fIUSERNAME\fR
Specify the default username to use for
.B ipmi-pet(8).
If specified, will override the general option
\fBusername\fR
above.
.TP
\fBipmi\-pet\-password\fR \fIPASSWORD\fR
Specify the default password to use for
.B ipmi-pet(8).
If specified, will override the general option
\fBpassword\fR
above.
.TP
\fBipmi\-pet\-k_g\fR \fIstr\fR
Specify the default BMC key (K_g) to use for
.B ipmi-pet(8).
If specified, will override the general option
\fBk_g\fR
above. Prefix with '0x' to enter the key in hex.
.TP
\fBipmi\-pet\-authentication\-type\fR \fIAUTHENTICATION\-TYPE\fR
Specify the default authentication type to use for
.B ipmi-pet(8).
If specified, will override the general option
\fBauthentication-type\fR
above. The following authentication types are supported: NONE,
STRAIGHT_PASSWORD_KEY, MD2, and MD5.
.TP
\fBipmi\-pet\-cipher\-suite\-id\fR \fICIPHER\-SUITE\-ID\fR
Specify the default cipher suite id to use for
.B ipmi-pet(8).
If specified, will override the general option
\fBcipher-suite-id\fR
above. The following cipher suite ids are supported: 0, 1, 2, 3, 6,
7, 8, 11, 12.
.TP
\fBipmi\-pet\-privilege\-level\fR \fIPRIVILEGE\-LEVEL\fR
Specify the default privilege type to use for
.B ipmi-pet(8).
If specified, will override the general option
\fBprivilege-level\fR
above. The following privilege levels are supported: USER, OPERATOR,
ADMIN.
.TP
\fBipmi\-pet\-workaround\-flags\fR \fIWORKAROUNDS\fR
Specify default workaround flags to use for
.B ipmi-pet(8).
If specified, will override the general options
\fBworkaround\-flags\fR
above. Multiple workarounds can be specified separated by whitespace.
Please see
.B ipmi-pet(8)
manpage for available workarounds.
.TP
\fBipmi\-pet\-verbose\-count\fR \fICOUNT\fR
Specify default verbose count to use for
.B ipmi-pet(8).
.TP
\fBipmi\-pet\-output\-event\-severity\fR \fIENABLE|DISABLE\fR
Specify if
.B ipmi-pet
should output the event severity state by default.
.TP
\fBipmi\-pet\-output\-event\-state\fR \fIENABLE|DISABLE\fR
Specify if
.B ipmi-pet
should output the event state state by default.
.TP
\fBipmi\-pet\-event\-state\-config\-file\fR \fIFILE\fR
Specify the default event state configuration file.
.TP
\fBipmi\-pet\-interpret\-oem\-data\fR \fIENABLE|DISABLE\fR
Specify if
.B ipmi-pet
should attempt to interpret OEM data by default or not.
.TP
\fBipmi\-pet\-entity\-sensor\-names\fR \fIENABLE|DISABLE\fR
Specify if output of sensor names should include entity ids and
instances by default or not.
.TP
\fBipmi\-pet\-no\-sensor\-type\-output\fR \fIENABLE|DISABLE\fR
Specify if output of the sensor type should be output by default or
not.
.TP
\fBipmi\-pet\-comma\-separated\-output\fR \fIENABLE|DISABLE\fR
Specify if output should be comma separated by default or not.
.TP
\fBipmi\-pet\-no\-header\-output\fR \fIENABLE|DISABLE\fR
Specify if column headers should be output by default or not.
.TP
\fBipmi\-pet\-non\-abbreviated\-units\fR \fIENABLE|DISABLE\fR
Specify if output should have units abbreviated by default or not.


.SH "IPMI-RAW OPTIONS"
The following options are specific to
.B ipmi-raw(8).
They will be ignored by other tools.
.TP
\fBipmi\-raw\-username\fR \fIUSERNAME\fR
Specify the default username to use for
.B ipmi-raw(8).
If specified, will override the general option
\fBusername\fR
above.
.TP
\fBipmi\-raw\-password\fR \fIPASSWORD\fR
Specify the default password to use for
.B ipmi-raw(8).
If specified, will override the general option
\fBpassword\fR
above.
.TP
\fBipmi\-raw\-k_g\fR \fIstr\fR
Specify the default BMC key (K_g) to use for
.B ipmi-raw(8).
If specified, will override the general option
\fBk_g\fR
above. Prefix with '0x' to enter the key in hex.
.TP
\fBipmi\-raw\-authentication\-type\fR \fIAUTHENTICATION\-TYPE\fR
Specify the default authentication type to use for
.B ipmi-raw(8).
If specified, will override the general option
\fBauthentication-type\fR
above. The following authentication types are supported: NONE,
STRAIGHT_PASSWORD_KEY, MD2, and MD5.
.TP
\fBipmi\-raw\-cipher\-suite\-id\fR \fICIPHER\-SUITE\-ID\fR
Specify the default cipher suite id to use for
.B ipmi-raw(8).
If specified, will override the general option
\fBcipher-suite-id\fR
above. The following cipher suite ids are supported: 0, 1, 2, 3, 6,
7, 8, 11, 12.
.TP
\fBipmi\-raw\-privilege\-level\fR \fIPRIVILEGE\-LEVEL\fR
Specify the default privilege type to use for
.B ipmi-raw(8).
If specified, will override the general option
\fBprivilege-level\fR
above. The following privilege levels are supported: USER, OPERATOR,
ADMIN.
.TP
\fBipmi\-raw\-workaround\-flags\fR \fIWORKAROUNDS\fR
Specify default workaround flags to use for
.B ipmi-raw(8).
If specified, will override the general options
\fBworkaround\-flags\fR
above. Multiple workarounds can be specified separated by whitespace.
Please see
.B ipmi-raw(8)
manpage for available workarounds.

.SH "IPMI-SEL OPTIONS"
The following options are specific to
.B ipmi-sel(8).
They will be ignored by other tools.
.TP
\fBipmi\-sel\-username\fR \fIUSERNAME\fR
Specify the default username to use for
.B ipmi-sel(8).
If specified, will override the general option
\fBusername\fR
above.
.TP
\fBipmi\-sel\-password\fR \fIPASSWORD\fR
Specify the default password to use for
.B ipmi-sel(8).
If specified, will override the general option
\fBpassword\fR
above.
.TP
\fBipmi\-sel\-k_g\fR \fIstr\fR
Specify the default BMC key (K_g) to use for
.B ipmi-sel(8).
If specified, will override the general option
\fBk_g\fR
above. Prefix with '0x' to enter the key in hex.
.TP
\fBipmi\-sel\-authentication\-type\fR \fIAUTHENTICATION\-TYPE\fR
Specify the default authentication type to use for
.B ipmi-sel(8).
If specified, will override the general option
\fBauthentication-type\fR
above. The following authentication types are supported: NONE,
STRAIGHT_PASSWORD_KEY, MD2, and MD5.
.TP
\fBipmi\-sel\-cipher\-suite\-id\fR \fICIPHER\-SUITE\-ID\fR
Specify the default cipher suite id to use for
.B ipmi-sel(8).
If specified, will override the general option
\fBcipher-suite-id\fR
above. The following cipher suite ids are supported: 0, 1, 2, 3, 6,
7, 8, 11, 12.
.TP
\fBipmi\-sel\-privilege\-level\fR \fIPRIVILEGE\-LEVEL\fR
Specify the default privilege type to use for
.B ipmi-sel(8).
If specified, will override the general option
\fBprivilege-level\fR
above. The following privilege levels are supported: USER, OPERATOR,
ADMIN.
.TP
\fBipmi\-sel\-workaround\-flags\fR \fIWORKAROUNDS\fR
Specify default workaround flags to use for
.B ipmi-sel(8).
If specified, will override the general options
\fBworkaround\-flags\fR
above. Multiple workarounds can be specified separated by whitespace.
Please see
.B ipmi-sel(8)
manpage for available workarounds.
.TP
\fBipmi\-sel\-verbose\-count\fR \fICOUNT\fR
Specify default verbose count to use for
.B ipmi-sel(8).
.TP
\fBipmi\-sel\-types\fR \fITYPE-LIST\fR
Specify default types to show SEL events for. Multiple types can
be specified separated by whitespace. Users may specify sensor types
by string or by number (decimal or hex). Please see
.B ipmi-sel(8)
\fI\-\-list\-types\fR option to see possible string input types.
.TP
\fBipmi\-sel\-exclude\-types\fR \fSENSOR-TYPES-LIST\fR Specify
default sensor types to not show SEL events for. Multiple sensor
types can be specified separated by whitespace. Users may specify
sensor types by string or by number. Please see
.B ipmi-sel(8)
\fI\-\-list\-types\fR option to see possible string
input types.
.TP
\fBipmi\-sel\-system\-event\-only\fR \fIENABLE|DISABLE\fR
Specify if output should only include system event records.
.TP
\fBipmi\-sel\-oem\-event\-only\fR \fIENABLE|DISABLE\fR
Specify if output should only include OEM event records.
.TP
\fBipmi\-sel\-output\-manufacturer\-id\fR \fIENABLE|DISABLE\fR
Specify if output of OEM event records should include manufacturer ID
by default or not.
.TP
\fBipmi\-sel\-output\-event\-state\fR \fIENABLE|DISABLE\fR
Specify if
.B ipmi-sel
should output the event state state by default.
.TP
\fBipmi\-sel\-event\-state\-config\-file\fR \fIFILE\fR
Specify the default event state configuration file.
.TP
\fBipmi\-sel\-assume\-system\-event\-records\fR \fIENABLE|DISABLE\fR
Specify if system event records should be assumed when there are
invalid record types.
.TP
\fBipmi\-sel\-interpret\-oem\-data\fR \fIENABLE|DISABLE\fR
Specify if
.B ipmi-sel
should attempt to interpret OEM data by default or not.
.TP
\fBipmi\-sel\-output\-oem\-event\-strings\fR \fIENABLE|DISABLE\fR
Specify if
.B ipmi-sel
should output OEM event strings by default or not.
.TP
\fBipmi\-sel\-entity\-sensor\-names\fR \fIENABLE|DISABLE\fR
Specify if output of sensor names should include entity ids and
instances by default or not.
.TP
\fBipmi\-sel\-no\-sensor\-type\-output\fR \fIENABLE|DISABLE\fR
Specify if output of the sensor type should be output by default or
not.
.TP
\fBipmi\-sel\-comma\-separated\-output\fR \fIENABLE|DISABLE\fR
Specify if output should be comma separated by default or not.
.TP
\fBipmi\-sel\-no\-header\-output\fR \fIENABLE|DISABLE\fR
Specify if column headers should be output by default or not.
.TP
\fBipmi\-sel\-non\-abbreviated\-units\fR \fIENABLE|DISABLE\fR
Specify if output should have units abbreviated by default or not.
.TP
\fBipmi\-sel\-legacy\-output\fR \fIENABLE|DISABLE\fR
Specify if output should be in legacy format by default or not.

.SH "IPMI-SENSORS OPTIONS"
The following options are specific to
.B ipmi-sensors(8).
They will be ignored by other tools.
.TP
\fBipmi\-sensors\-username\fR \fIUSERNAME\fR
Specify the default username to use for
.B ipmi-sensors(8).
If specified, will override the general option
\fBusername\fR
above.
.TP
\fBipmi\-sensors\-password\fR \fIPASSWORD\fR
Specify the default password to use for
.B ipmi-sensors(8).
If specified, will override the general option
\fBpassword\fR
above.
.TP
\fBipmi\-sensors\-k_g\fR \fIstr\fR
Specify the default BMC key (K_g) to use for
.B ipmi-sensors(8).
If specified, will override the general option
\fBk_g\fR
above. Prefix with '0x' to enter the key in hex.
.TP
\fBipmi\-sensors\-authentication\-type\fR \fIAUTHENTICATION\-TYPE\fR
Specify the default authentication type to use for
.B ipmi-sensors(8).
If specified, will override the general option
\fBauthentication-type\fR
above. The following authentication types are supported: NONE,
STRAIGHT_PASSWORD_KEY, MD2, and MD5.
.TP
\fBipmi\-sensors\-cipher\-suite\-id\fR \fICIPHER\-SUITE\-ID\fR
Specify the default cipher suite id to use for
.B ipmi-sensors(8).
If specified, will override the general option
\fBcipher-suite-id\fR
above. The following cipher suite ids are supported: 0, 1, 2, 3, 6,
7, 8, 11, 12.
.TP
\fBipmi\-sensors\-privilege\-level\fR \fIPRIVILEGE\-LEVEL\fR
Specify the default privilege type to use for
.B ipmi-sensors(8).
If specified, will override the general option
\fBprivilege-level\fR
above. The following privilege levels are supported: USER, OPERATOR,
ADMIN.
.TP
\fBipmi\-sensors\-workaround\-flags\fR \fIWORKAROUNDS\fR
Specify default workaround flags to use for
.B ipmi-sensors(8).
If specified, will override the general options
\fBworkaround\-flags\fR
above. Multiple workarounds can be specified separated by whitespace.
Please see
.B ipmi-sensors(8)
manpage for available workarounds.
.TP
\fBipmi\-sensors\-verbose\-count\fR \fICOUNT\fR
Specify default verbose count to use for
.B ipmi-sensors(8).
.TP
\fBipmi\-sensors\-quiet\-readings\fR \fIENABLE|DISABLE\fR
Specify if sensor reading values and thresholds should not be
output by default.
.TP
\fBipmi\-sensors\-record\-ids\fR \fRECORD-IDS-LIST\fR
Specify default record ids to show sensor outputs for. Multiple record ids
can be specified separated by whitespace.
.TP
\fBipmi\-sensors\-exclude\-record\-ids\fR \fRECORD-IDS-LIST\fR
Specify default record ids to not show sensor outputs for. Multiple
record ids can be specified separated by whitespace.
.TP
\fBipmi\-sensors\-types\fR \fITYPE-LIST\fR
Specify default types to show sensor outputs for. Multiple types can
be specified separated by whitespace. Users may specify sensor types
by string or by number (decimal or hex). Please see
.B ipmi-sensors(8)
\fI\-\-list\-types\fR option to see possible string input types.
.TP
\fBipmi\-sensors\-exclude\-types\fR \fSENSOR-TYPES-LIST\fR Specify
default sensor types to not show sensor outputs for. Multiple sensor
types can be specified separated by whitespace. Users may specify
sensor types by string or by number. Please see
.B ipmi-sensors(8)
\fI\-\-list\-types\fR option to see possible string
input types.
.TP
\fBipmi\-sensors\-bridge\-sensors\fR \fIENABLE|DISABLE\fR
Specify if non-BMC sensors should be bridged by default or not.
.TP
\fBipmi\-sensors\-shared\-sensors\fR \fIENABLE|DISABLE\fR
Specify if shared sensors should be output by default or not.
.TP
\fBipmi\-sensors\-interpret\-oem\-data\fR \fIENABLE|DISABLE\fR
Specify if
.B ipmi-sensors
should attempt to interpret OEM data by default or not.
.TP
\fBipmi\-sensors\-ignore\-not\-available\-sensors\fR \fIENABLE|DISABLE\fR
Specify if
.B ipmi-sensors
should ignore not-available (i.e. N/A) sensors by default.
.TP
\fBipmi\-sensors\-ignore\-unrecognized\-events\fR \fIENABLE|DISABLE\fR
Specify if
.B ipmi-sensors
should ignore unrecognized events (i.e. 'Unrecognized Event') in
sensors output by default.
.TP
\fBipmi\-sensors\-output\-event\-bitmask\fR \fIENABLE|DISABLE\fR
Specify if
.B ipmi-sensors
should output event bitmasks instead of string representations by default.
.TP
\fBipmi\-sensors\-output\-sensor\-state\fR \fIENABLE|DISABLE\fR
Specify if
.B ipmi-sensors
should output the sensor state by default.
.TP
\fBipmi\-sensors\-sensor\-state\-config\-file\fR \fIFILE\fR
Specify the default sensor state configuration file.
.TP
\fBipmi\-sensors\-entity\-sensor\-names\fR \fIENABLE|DISABLE\fR
Specify if output of sensor names should include entity ids and
instances by default or not.
.TP
\fBipmi\-sensors\-no\-sensor\-type\-output\fR \fIENABLE|DISABLE\fR
Specify if output of the sensor type should be output by default or
not.
.TP
\fBipmi\-sensors\-comma\-separated\-output\fR \fIENABLE|DISABLE\fR
Specify if output should be comma separated by default or not.
.TP
\fBipmi\-sensors\-no\-header\-output\fR \fIENABLE|DISABLE\fR
Specify if column headers should be output by default or not.
.TP
\fBipmi\-sensors\-non\-abbreviated\-units\fR \fIENABLE|DISABLE\fR
Specify if output should have units abbreviated by default or not.
.TP
\fBipmi\-sensors\-legacy\-output\fR \fIENABLE|DISABLE\fR
Specify if output should be in legacy format by default or not.
.TP
\fBipmi\-sensors\-ipmimonitoring\-legacy\-output\fR \fIENABLE|DISABLE\fR
Specify if output should be in
.B ipmimonitoring
legacy format by default or not.

.SH "IPMI-SENSORS-CONFIG OPTIONS"
The following options are specific to
.B ipmi-sensors-config(8).
They will be ignored by other tools.
.TP
\fBipmi\-sensors-config\-username\fR \fIUSERNAME\fR
Specify the default username to use for
.B ipmi-sensors-config(8).
If specified, will override the general option
\fBusername\fR
above.
.TP
\fBipmi\-sensors-config\-password\fR \fIPASSWORD\fR
Specify the default password to use for
.B ipmi-sensors-config(8).
If specified, will override the general option
\fBpassword\fR
above.
.TP
\fBipmi\-sensors-config\-k_g\fR \fIstr\fR
Specify the default BMC key (K_g) to use for
.B ipmi-sensors-config(8).
If specified, will override the general option
\fBk_g\fR
above. Prefix with '0x' to enter the key in hex.
.TP
\fBipmi\-sensors-config\-authentication\-type\fR \fIAUTHENTICATION\-TYPE\fR
Specify the default authentication type to use for
.B ipmi-sensors-config(8).
If specified, will override the general option
\fBauthentication-type\fR
above. The following authentication types are supported: NONE,
STRAIGHT_PASSWORD_KEY, MD2, and MD5.
.TP
\fBipmi\-sensors-config\-cipher\-suite\-id\fR \fICIPHER\-SUITE\-ID\fR
Specify the default cipher suite id to use for
.B ipmi-sensors-config(8).
If specified, will override the general option
\fBcipher-suite-id\fR
above. The following cipher suite ids are supported: 0, 1, 2, 3, 6,
7, 8, 11, 12.
.TP
\fBipmi\-sensors-config\-privilege\-level\fR \fIPRIVILEGE\-LEVEL\fR
Specify the default privilege type to use for
.B ipmi-sensors-config(8).
If specified, will override the general option
\fBprivilege-level\fR
above. The following privilege levels are supported: USER, OPERATOR,
ADMIN.
.TP
\fBipmi\-sensors-config\-workaround\-flags\fR \fIWORKAROUNDS\fR
Specify default workaround flags to use for
.B ipmi-sensors-config(8).
If specified, will override the general options
\fBworkaround\-flags\fR
above. Multiple workarounds can be specified separated by whitespace.
Please see
.B ipmi-sensors-config(8)
manpage for available workarounds.
.TP
\fBipmi\-sensors-config\-verbose\-count\fR \fICOUNT\fR
Specify default verbose count to use for
.B ipmi-sensors-config(8).

.SH "IPMICONSOLE OPTIONS"
The following options are specific to
.B ipmiconsole(8).
They will be ignored by other tools.
.TP
\fBipmiconsole\-username\fR \fIUSERNAME\fR
Specify the default username to use for
.B ipmiconsole(8).
If specified, will override the general option
\fBusername\fR
above.
.TP
\fBipmiconsole\-password\fR \fIPASSWORD\fR
Specify the default password to use for
.B ipmiconsole(8).
If specified, will override the general option
\fBpassword\fR
above.
.TP
\fBipmiconsole\-k_g\fR \fIstr\fR
Specify the default BMC key (K_g) to use for
.B ipmiconsole(8).
If specified, will override the general option
\fBk_g\fR
above. Prefix with '0x' to enter the key in hex.
.TP
\fBipmiconsole\-authentication\-type\fR \fIAUTHENTICATION\-TYPE\fR
Specify the default authentication type to use for
.B ipmiconsole(8).
If specified, will override the general option
\fBauthentication-type\fR
above. The following authentication types are supported: NONE,
STRAIGHT_PASSWORD_KEY, MD2, and MD5.
.TP
\fBipmiconsole\-cipher\-suite\-id\fR \fICIPHER\-SUITE\-ID\fR
Specify the default cipher suite id to use for
.B ipmiconsole(8).
If specified, will override the general option
\fBcipher-suite-id\fR
above. The following cipher suite ids are supported: 0, 1, 2, 3, 6,
7, 8, 11, 12.
.TP
\fBipmiconsole\-privilege\-level\fR \fIPRIVILEGE\-LEVEL\fR
Specify the default privilege type to use for
.B ipmiconsole(8).
If specified, will override the general option
\fBprivilege-level\fR
above. The following privilege levels are supported: USER, OPERATOR,
ADMIN.
.TP
\fBipmiconsole\-workaround\-flags\fR \fIWORKAROUNDS\fR
Specify default workaround flags to use for
.B ipmiconsole(8).
If specified, will override the general options
\fBworkaround\-flags\fR
above. Multiple workarounds can be specified separated by whitespace.
Please see
.B ipmiconsole(8)
manpage for available workarounds.
.TP
\fBipmiconsole\-escape\-char\fR \fICHAR\fR
Specify the default escape character.
.TP
\fBipmiconsole\-dont\-steal\fR \fIENABLE|DISABLE\fR
Specify if in use SOL sessions should not be stolen by default.
.TP
\fBipmiconsole\-serial\-keepalive\fR \fIENABLE|DISABLE\fR
Specify if serial keepalive should be enabled by default.
.TP
\fBipmiconsole\-serial\-keepalive\-empty\fR \fIENABLE|DISABLE\fR
Specify if serial keepalive empty should be enabled by default.
.TP
\fBipmiconsole\-lock\-memory\fR \fIENABLE|DISABLE\fR
Specify if memory should be locked by default.

.SH "IPMIPOWER OPTIONS"
The following options are specific to
.B ipmipower(8).
They will be ignored by other tools.
.TP
\fBipmipower\-username\fR \fIUSERNAME\fR
Specify the default username to use for
.B ipmipower(8).
If specified, will override the general option
\fBusername\fR
above.
.TP
\fBipmipower\-password\fR \fIPASSWORD\fR
Specify the default password to use for
.B ipmipower(8).
If specified, will override the general option
\fBpassword\fR
above.
.TP
\fBipmipower\-k_g\fR \fIstr\fR
Specify the default BMC key (K_g) to use for
.B ipmipower(8).
If specified, will override the general option
\fBk_g\fR
above. Prefix with '0x' to enter the key in hex.
.TP
\fBipmipower\-authentication\-type\fR \fIAUTHENTICATION\-TYPE\fR
Specify the default authentication type to use for
.B ipmipower(8).
If specified, will override the general option
\fBauthentication-type\fR
above. The following authentication types are supported: NONE,
STRAIGHT_PASSWORD_KEY, MD2, and MD5.
.TP
\fBipmipower\-cipher\-suite\-id\fR \fICIPHER\-SUITE\-ID\fR
Specify the default cipher suite id to use for
.B ipmipower(8).
If specified, will override the general option
\fBcipher-suite-id\fR
above. The following cipher suite ids are supported: 0, 1, 2, 3, 6,
7, 8, 11, 12.
.TP
\fBipmipower\-privilege\-level\fR \fIPRIVILEGE\-LEVEL\fR
Specify the default privilege type to use for
.B ipmipower(8).
If specified, will override the general option
\fBprivilege-level\fR
above. The following privilege levels are supported: USER, OPERATOR,
ADMIN.
.TP
\fBipmipower\-workaround\-flags\fR \fIWORKAROUNDS\fR
Specify default workaround flags to use for
.B ipmipower(8).
If specified, will override the general options
\fBworkaround\-flags\fR
above. Multiple workarounds can be specified separated by whitespace.
Please see
.B ipmipower(8)
manpage for available workarounds.
.TP
\fBipmipower\-on\-if\-off\fR \fIENABLE|DISABLE\fR
Specify if on-if-off functionality is enabled or disabled by default.
.TP
\fBipmipower\-wait\-until\-on\fR \fIENABLE|DISABLE\fR
Specify if wait-until-on functionality is enabled or disabled by default.
.TP
\fBipmipower\-wait\-until\-off\fR \fIENABLE|DISABLE\fR
Specify if wait-until-off functionality is enabled or disabled by default.
.TP
\fBipmipower\-retransmission\-wait\-timeout\fR \fIMILLISECONDS\fR
Specify the default retransmission wait timeout length to use in
milliseconds.
.TP
\fBipmipower\-retransmission\-backoff\-count\fR \fICOUNT\fR
Specify the default retransmission backoff count to use for
retransmissions.
.TP
\fBipmipower\-ping\-interval\fR \fIMILLISECONDS\fR
Specify the default ping interval length to use in milliseconds.
.TP
\fBipmipower\-ping\-timeout\fR \fIMILLISECONDS\fR
Specify the default ping timeout length to use in milliseconds.
.TP
\fBipmipower\-ping\-packet\-count\fR \fICOUNT\fR
Specify the default ping packet count size to use.
.TP
\fBipmipower\-ping\-percent\fR \fIPERCENT\fR
Specify the default ping percent value to use.
.TP
\fBipmipower\-ping\-consec\-count\fR \fICOUNT\fR
Specify the default ping consecutive count value to use.

.SH "FILES"
/usr/local/etc/freeipmi//freeipmi.conf
.SH "REPORTING BUGS"
Report bugs to <freeipmi\-users@gnu.org> or <freeipmi\-devel@gnu.org>.
.SH "COPYRIGHT"
Copyright \(co 2003-2012 FreeIPMI Core Team.
.PP
FreeIPMI is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 3 of the License, or (at your
option) any later version.
.SH "SEE ALSO"
freeipmi(7), bmc-config(8), bmc-device(8), bmc-info(8),
bmc-watchdog(8), ipmi-chassis(8), ipmi-fru(8), ipmi-oem(8),
ipmi-pef-config(8), ipmi-raw(8), ipmi-sel(8), ipmi-sensors(8),
ipmi-sensors-config(8), ipmiconsole(8), ipmipower(8)
.PP
http://www.gnu.org/software/freeipmi/
